##Clock signal
set_property -dict {PACKAGE_PIN L16 IOSTANDARD LVCMOS33} [get_ports clk]
create_clock -period 8.000 -name sys_clk_pin -waveform {0.000 4.000} -add [get_ports clk]

set_property IOSTANDARD LVCMOS33 [get_ports {RED[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RED[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RED[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RED[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RED[0]}]
set_property PACKAGE_PIN M19 [get_ports {RED[0]}]
set_property PACKAGE_PIN L20 [get_ports {RED[1]}]
set_property PACKAGE_PIN J20 [get_ports {RED[2]}]
set_property PACKAGE_PIN G20 [get_ports {RED[3]}]
set_property PACKAGE_PIN F19 [get_ports {RED[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GRN[0]}]
set_property PACKAGE_PIN H18 [get_ports {GRN[0]}]
set_property PACKAGE_PIN N20 [get_ports {GRN[1]}]
set_property PACKAGE_PIN L19 [get_ports {GRN[2]}]
set_property PACKAGE_PIN J19 [get_ports {GRN[3]}]
set_property PACKAGE_PIN H20 [get_ports {GRN[4]}]
set_property PACKAGE_PIN F20 [get_ports {GRN[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {BLU[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {BLU[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {BLU[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {BLU[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {BLU[0]}]
set_property PACKAGE_PIN P20 [get_ports {BLU[0]}]
set_property PACKAGE_PIN M20 [get_ports {BLU[1]}]
set_property PACKAGE_PIN K19 [get_ports {BLU[2]}]
set_property PACKAGE_PIN J18 [get_ports {BLU[3]}]
set_property PACKAGE_PIN G19 [get_ports {BLU[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {JA_tri_o[0]}]
set_property PACKAGE_PIN N15 [get_ports {JA_tri_o[0]}]
set_property PACKAGE_PIN L14 [get_ports {JA_tri_o[1]}]
set_property PACKAGE_PIN K16 [get_ports {JA_tri_o[2]}]
set_property PACKAGE_PIN K14 [get_ports {JA_tri_o[3]}]
set_property PACKAGE_PIN N16 [get_ports {JA_tri_o[4]}]
set_property PACKAGE_PIN L15 [get_ports {JA_tri_o[5]}]
set_property PACKAGE_PIN J16 [get_ports {JA_tri_o[6]}]
set_property PACKAGE_PIN J14 [get_ports {JA_tri_o[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SWS[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SWS[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SWS[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SWS[0]}]
set_property PACKAGE_PIN G15 [get_ports {SWS[0]}]
set_property PACKAGE_PIN P15 [get_ports {SWS[1]}]
set_property PACKAGE_PIN W13 [get_ports {SWS[2]}]
set_property PACKAGE_PIN T16 [get_ports {SWS[3]}]

set_property IOSTANDARD LVCMOS33 [get_ports HSYNC]
set_property IOSTANDARD LVCMOS33 [get_ports VSYNC]
set_property PACKAGE_PIN P19 [get_ports HSYNC]
set_property PACKAGE_PIN R19 [get_ports VSYNC]



